# POST a Drop Shipment Confirmation Client endpoint to which Drop Shipment Confirmation data is posted to. This endpoint along with any authentication mechanisms needed must be communicated to client's account manager. Endpoint: POST /drop_shipment_confirmation Version: 1.0.0 ## Request fields (application/json): - `shipment` (object) - `shipment.id` (integer) An object's database primary key. Do not rely on this value! Example: 1 - `shipment.client_identifier` (string, required) client_identifier associated with the shipment which is also associated with the order Example: "3fda4c37-6830-469f-b343-9d1a482a97fd" - `shipment.channel` (string, required) Inventory channel name Example: "rts_drop_ship" - `shipment.carrier` (string, required) Carrier used in shipping. Example: "UPS" - `shipment.shipping_method` (string, required) Name of the shipping method used for the shipment Example: "UPS Ground" - `shipment.tracking_number` (string, required) Shipment tracking number Example: "1Z2E07A20302245707" - `shipment.billed_weight` (number, required) Weight of the shipment in pounds Example: 10 - `shipment.shipping_cost_cents` (integer, required) Actual shipping cost paid to ship the package Example: 1000 - `shipment.packing_slip_identifier` (string) Identifier to be printed on the packing slip barcode. If null, client_identifier will be the default barcode. Example: "1497064" - `shipment.shipment_items` (array, required) Items included in this shipment - `shipment.shipment_items.client_identifier` (string) Client_identifier associated with the shipment item which is also associated with the order item Example: "296f0b98-7bc5-4750-8cb9-2e36db1ff766" - `shipment.shipment_items.quantity` (integer) Shipped item quantity - `shipment.shipment_items.created_at` (string) Date in ISO 8601 format in UTC - `shipment.shipment_items.updated_at` (string) Date in ISO 8601 format in UTC ## Response 200 fields (application/json): - `message` (string) Example: "Success" ## Response 422 fields (application/json): - `message` (string, required) Summary of the error(s). - `errors` (array, required) Contains one or more error objects. - `errors.field` (string, required) JSON path of the field that failed validation. - `errors.code` (string, required) Categorization of validation failure. Defaults to 'invalid'. Enum: "missing_field", "invalid_type", "invalid" ## Response 400 fields ## Response 401 fields ## Response 500 fields ## Response 502 fields